/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.Cortesia;
import java.util.List;

/**
 *
 * @author Shiro
 */
public interface CortesiaService extends GenericService<Cortesia, Integer> {

    public List<Cortesia> pesquisar(String empleadoClave);

    public Cortesia buscar(Integer cortesiaId);

    public List<Cortesia> buscarDplicidad(Cortesia cortesia);
    
    /**
     * Indica se la cortesia ya fue utilizada
     * @param cortesia
     * @return 
     */
    public boolean cortesiaUtilizada(Cortesia cortesia);
}
